poll_state Struct Reference
Select loop abstraction

## Data Fields

struct pollfd * | poll
unsigned int | poll_size
unsigned int | num_registered

## Field Documentation

## num_registered

unsigned int poll_state::num_registered

Referenced by osmo_fd_register(), and osmo_fd_unregister().

## poll

struct pollfd* poll_state::poll

Referenced by _osmo_select_main(), osmo_fd_register(), poll_disp_fds(), and poll_fill_fds().

## poll_size

unsigned int poll_state::poll_size

Referenced by osmo_fd_register().

The documentation for this struct was generated from the following file:

- src/select.c